Subject: Re: [multimob] Proposals and charter discussion

From: "Luis M. Contreras" <[email-masked]>
Date: Sun, 01 Nov 2009 13:59:48 +0100

Hi all,

I think that draft-contreras-multimob-msd-00 can fit also into the 
category of "dedicated multicast LMA" when the MAG operates as MLD 
proxy and the upstream interface is defined over the tunnel between the 
MAG and the LMA, as mentioned in section 6.1. The draft considers just 
one MLD proxy instance per MAG, that is the case of "dedicated 
multicast LMA" category.

Additionally, draft-contreras-multimob-msd-00 presents a handover 
support method which is applicable for all cases. I think it could be 
considered as input for both proposal categories under evaluation.

Best regards,
Luis

"Thomas C. Schmidt" <[email-masked]> dijo:

> Hi Stig,
>
> if I overlook proposals correctly, there are three contributions that 
> comply to the charter:
>
> [Direct Routing Option:]
> If native multicast routing reaches all MAGs in a PMIP domain, then 
> straight-forward MLD proxying can be applied at MAGs with neither 
> participation of the LMAs, nor tunneling.
> This is proposed in parts of [draft-sijeon-multimob-mms-pmip6-01], if 
> you strip context transfer and predictive operations off the document.
>
> [Dedicated Multicast LMA:]
> If all multicast traffic of an entire PMIP domain is managed by a 
> single LMA, then all MAGs may choose a tunnel with this particular 
> LMA for multicast uplink. There is no need for proxy binding caches 
> and MN-specific states at the LMA.
> This is proposed in section 3. of [draft-zuniga-multimob-smspmip-00], 
> if you strip handover-specifics off the document.
>
> [Proxy instance per LMA:]
> If multicast traffic in PMIP should follow unicast paths, then it 
> arrives at the MN via MN-specific LMAs and MAGs on the basis of proxy 
> binding caches. This approach is a direct extension of unicast, 
> facilitated by placing a proxy instance per MAG-LMA uplink on MAGs 
> and proposed in [draft-schmidt-multimob-pmipv6-mcast-deployment].
>
> From my understanding of the available documents, no further 
> contributions exist that comply to the charter (i.e., do not change 
> PMIP or multicast protocols, or the processing/semantics at 
> corresponding routers).
>
> Hope that clarifies the field ;)
>
> Cheers,
>
> Thomas
>
>
> Stig Venaas wrote:
>> The main goal of our meeting in Hiroshima is to see if we can adopt
>> documents for our charter work items. In addition to the technical
>> evaluation, we also need to consider whether documents are within our
>> charter. Either whether the document is currently within the charter,
>> or if it can easily be updated to be within the charter.
>>
>> For PMIP, we have the following milestone:
>>
>> Nov 2009 Initial version of a document explaining the use of multicast
>> in PMIPv6
>>
>> It might be good to get some discussion on the list prior to the meeting
>> to see which proposals may be within the charter and a candidate for
>> this. We will certainly be discussing this in the meeting, but by having
>> some discussion and analysis on the mailing list before the meeting, we
>> may be able to have a better discussion at the meeting itself.
>>
>> You should all read the charter at
>> http://www.ietf.org/dyn/wg/charter/multimob-charter.html
>>
>> Some of the important points related to PMIP (this may not be a full
>> list, so read the charter itself) are:
>>
>> 1. Work requiring modifications to mobility protocols and IGMPv3/MLDv2
>>    is out of scope in this first stage of this working group.
>>    Modifications to multicast routing protocols are out of scope.
>>
>> 2. This work will not require any additions or changes to message types
>>    and parameters specified in RFC 5213,
>>
>> 3. and must assume an unmodified mobile host.
>>
>> 4. The work will employ the remote subscription model. This is a
>>    mechanism by which a mobile node joins a multicast group and
>>    receives multicast data forwarded via the local mobility anchor.
>>
>> I hope I've given managed to point out the main points in the charter in
>> a fair way. It's the charter text itself that is important, not what I
>> write here though.
>>
>> I now hope we can get some discussion on whether the different proposals
>> match the points above, or if you like, the charter text.
>>
>> Stig, co-chair hat on
>> _______________________________________________
>> multimob mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/multimob
> _______________________________________________
> multimob mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/multimob
>

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Luis M. Contreras
Profesor Asociado
Dpto. de Ingeniería Telemática
Universidad Carlos III de Madrid
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~